## org.apache.lucene.analysis
Interface BaseTokenStreamTestCase.CheckClearAttributesAttribute

All Superinterfaces:
  org.apache.lucene.util.Attribute

All Known Implementing Classes:
  BaseTokenStreamTestCase.CheckClearAttributesAttributeImpl

Enclosing class:
  BaseTokenStreamTestCase

    public static interface BaseTokenStreamTestCase.CheckClearAttributesAttribute

extends org.apache.lucene.util.Attribute

Attribute that records if it was cleared or not. This is used for testing that clearAttributes() was called correctly.

Method Summary
`boolean` `getAndResetClearCalled()`

Method Detail

### getAndResetClearCalled

    boolean getAndResetClearCalled()